Tspi_Hash_UpdateHashValue(3)

TCG Software Stack Developer's Reference

NAME
Tspi_Hash_UpdateHashValue - update the hash value of a hash object

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Hash_UpdateHashValue(TSS_HHASH hHash, UINT32 ulDataLength, BYTE* rgbData);

DESCRIPTION

Tspi_Hash_UpdateHashValue updates the hash value of a hash object with new information. If the object was created with the flag TSS_HASH_OTHER, then this method will return an error. The object can't be modified after Tspi_Hash_SetHashValue, Tspi_Hash_GetHashValue, Tspi_Hash_Sign, or Tspi_Hash_VerifySignature have been called on it.

PARAMETERS

  hHash
The handle to the hash object instance whose hash value should be signed.

  ulDataLength
Indicates the length of the data provided at the parameter rgbData.

  rgbData
A pointer to the data.

RETURN CODES

Tspi_Hash_UpdateHashValue returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hHash is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

TSS_E_HASH_INVALID_LENGTH
    Hash length is inconsistent with hash algorithm.

TSS_E_HASH_NO_DATA
    Hash object has no internal hash value.

CONFORMING TO

Tspi_Hash_UpdateHashValue conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Hash_GetHashValue(3), Tspi_Hash_Sign(3), Tspi_Hash_SetHashValue(3), Tspi_Hash_VerifySignature(3).